# studio::LayerGroupTreeStore Class Reference

`#include <layergrouptreestore.h>`

List of all members.

## Public Types

typedef std::list < synfig::Layer::Handle > | LayerList

## Public Member Functions

| LayerGroupTreeStore (etl::loose_handle< synfigapp::CanvasInterface > canvas_interface_)
| ~LayerGroupTreeStore ()
Gtk::TreeRow | on_group_added (synfig::String group)
etl::loose_handle < synfigapp::CanvasInterface > | canvas_interface ()
etl::loose_handle< const synfigapp::CanvasInterface > | canvas_interface () const
etl::loose_handle < synfigapp::CanvasInterface > | get_canvas_interface () const
bool | find_layer_row (const synfig::Layer::Handle &handle, Gtk::TreeModel::Children::iterator &iter)
bool | find_group_row (const synfig::String &group, Gtk::TreeModel::Children::iterator &iter)
bool | find_prev_layer_row (const synfig::Layer::Handle &handle, Gtk::TreeModel::Children::iterator &iter)
void | rebuild ()
void | refresh ()
void | refresh_row (Gtk::TreeModel::Row &row)
void | set_row_layer (Gtk::TreeRow &row, synfig::Layer::Handle &handle)

## Static Public Member Functions

static bool | search_func (const Glib::RefPtr< TreeModel > &, int, const Glib::ustring &, const TreeModel::iterator &)
static Glib::RefPtr < LayerGroupTreeStore > | create (etl::loose_handle< synfigapp::CanvasInterface > canvas_interface_)

## Public Attributes

const Model | model
| TreeModel for the layers.
bool | rebuilding

## Classes

class | Model

## Member Typedef Documentation

typedef std::list<synfig::Layer::Handle> studio::LayerGroupTreeStore::LayerList

## Constructor & Destructor Documentation

LayerGroupTreeStore::LayerGroupTreeStore | ( | etl::loose_handle< synfigapp::CanvasInterface > | canvas_interface_ | ) |

References canvas_interface(), on_group_added(), and rebuild().

Referenced by create().

LayerGroupTreeStore::~LayerGroupTreeStore | ( |  | ) |

## Member Function Documentation

Gtk::TreeRow LayerGroupTreeStore::on_group_added | ( | synfig::String | group | ) |

References find_group_row(), studio::LayerGroupTreeStore::Model::group_name, GROUP_NEST_CHAR, studio::LayerGroupTreeStore::Model::is_group, studio::LayerGroupTreeStore::Model::is_layer, and model.

Referenced by LayerGroupTreeStore(), and rebuild().

etl::loose_handle<synfigapp::CanvasInterface> studio::LayerGroupTreeStore::canvas_interface | ( |  | ) | `[inline]`

Referenced by find_layer_row(), find_prev_layer_row(), LayerGroupTreeStore(), and rebuild().

etl::loose_handle<const synfigapp::CanvasInterface> studio::LayerGroupTreeStore::canvas_interface | ( |  | ) | const`[inline]`

etl::loose_handle<synfigapp::CanvasInterface> studio::LayerGroupTreeStore::get_canvas_interface | ( |  | ) | const`[inline]`

bool LayerGroupTreeStore::find_layer_row | ( | const synfig::Layer::Handle & | handle,
|  | Gtk::TreeModel::Children::iterator & | iter |
| ) |  |  |

References canvas_interface().

bool LayerGroupTreeStore::find_group_row | ( | const synfig::String & | group,
|  | Gtk::TreeModel::Children::iterator & | iter |
| ) |  |  |

Referenced by on_group_added().

bool LayerGroupTreeStore::find_prev_layer_row | ( | const synfig::Layer::Handle & | handle,
|  | Gtk::TreeModel::Children::iterator & | iter |
| ) |  |  |

References canvas_interface().

void LayerGroupTreeStore::rebuild | ( |  | ) |

References canvas_interface(), on_group_added(), rebuilding, and set_row_layer().

Referenced by LayerGroupTreeStore(), and refresh().

void LayerGroupTreeStore::refresh | ( |  | ) |

References rebuild().

void LayerGroupTreeStore::refresh_row | ( | Gtk::TreeModel::Row & | row | ) |

References studio::LayerGroupTreeStore::Model::is_layer, studio::LayerGroupTreeStore::Model::layer, and model.

void LayerGroupTreeStore::set_row_layer | ( | Gtk::TreeRow & | row,
|  | synfig::Layer::Handle & | handle |
| ) |  |  |

References studio::LayerGroupTreeStore::Model::is_group, studio::LayerGroupTreeStore::Model::is_layer, studio::LayerGroupTreeStore::Model::layer, and model.

Referenced by rebuild().

bool LayerGroupTreeStore::search_func | ( | const Glib::RefPtr< TreeModel > & | ,
|  | int | ,
|  | const Glib::ustring & | x,
|  | const TreeModel::iterator & | iter |
| ) |  |  | `[static]`

References studio::LayerGroupTreeStore::Model::label, and model.

Referenced by studio::LayerGroupTree::LayerGroupTree().

Glib::RefPtr< LayerGroupTreeStore > LayerGroupTreeStore::create | ( | etl::loose_handle< synfigapp::CanvasInterface > | canvas_interface_ | ) | `[static]`

References LayerGroupTreeStore().

## Member Data Documentation

const Model studio::LayerGroupTreeStore::model

TreeModel for the layers.

Referenced by on_group_added(), refresh_row(), search_func(), and set_row_layer().

bool studio::LayerGroupTreeStore::rebuilding

Referenced by rebuild().

The documentation for this class was generated from the following files:

- layergrouptreestore.h
- layergrouptreestore.cpp